Package org.apache.aries.jax.rs.whiteboard.internal.cxf

## Class PrototypeServiceReferenceResourceProvider

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.cxf.PrototypeServiceReferenceResourceProvider

All Implemented Interfaces:
  `ServiceReferenceResourceProvider`, `org.apache.cxf.jaxrs.lifecycle.ResourceProvider`

    public class PrototypeServiceReferenceResourceProvider
    extends Object
    implements org.apache.cxf.jaxrs.lifecycle.ResourceProvider, ServiceReferenceResourceProvider

### Constructor Summary

Constructors
`PrototypeServiceReferenceResourceProvider​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference, Class<?> serviceClass, org.osgi.framework.ServiceObjects<?> serviceObjects)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.aries.component.dsl.CachingServiceReference<?>` `getImmutableServiceReference()`
`Object` `getInstance​(org.apache.cxf.message.Message m)`
`Class<?>` `getResourceClass()`
`boolean` `isAvailable()`
`boolean` `isSingleton()`
`void` `releaseInstance​(org.apache.cxf.message.Message m, Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrototypeServiceReferenceResourceProvider

    public PrototypeServiceReferenceResourceProvider​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference,
                                                     Class<?> serviceClass,
                                                     org.osgi.framework.ServiceObjects<?> serviceObjects)

### Method Detail

#### getInstance

    public Object getInstance​(org.apache.cxf.message.Message m)

Specified by:
  `getInstance` in interface `org.apache.cxf.jaxrs.lifecycle.ResourceProvider`

#### releaseInstance

    public void releaseInstance​(org.apache.cxf.message.Message m,
                                Object o)

Specified by:
  `releaseInstance` in interface `org.apache.cxf.jaxrs.lifecycle.ResourceProvider`

#### getResourceClass

    public Class<?> getResourceClass()

Specified by:
  `getResourceClass` in interface `org.apache.cxf.jaxrs.lifecycle.ResourceProvider`

#### isSingleton

    public boolean isSingleton()

Specified by:
  `isSingleton` in interface `org.apache.cxf.jaxrs.lifecycle.ResourceProvider`

#### getImmutableServiceReference

    public org.apache.aries.component.dsl.CachingServiceReference<?> getImmutableServiceReference()

Specified by:
  `getImmutableServiceReference` in interface `ServiceReferenceResourceProvider`

#### isAvailable

    public boolean isAvailable()